Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Static Protected Attributes
IdComponent Class Referenceabstract

`#include <c++/src/H5IdComponent.h>`

## Detailed Description

Class IdComponent provides wrappers of the C functions that operate on an HDF5 identifier.

In most cases, the C library handles these operations and an application rarely needs them.

Inheritance diagram for IdComponent:

## Public Member Functions
virtual void | close ()=0
void | decRefCount () const
void | decRefCount (const hid_t obj_id) const
virtual H5std_string | fromClass () const
| Returns this class name.
int | getCounter () const
int | getCounter (const hid_t obj_id) const
H5I_type_t | getHDFObjType () const
virtual hid_t | getId () const =0
void | incRefCount () const
void | incRefCount (const hid_t obj_id) const
H5std_string | inMemFunc (const char *func_name) const
IdComponent & | operator= (const IdComponent &rhs)
void | setId (const hid_t new_id)
virtual | ~IdComponent ()=default

## Static Public Member Functions
static H5I_type_t | getHDFObjType (const hid_t obj_id)
static hsize_t | getNumMembers (H5I_type_t type)
static bool | isValid (hid_t an_id)
static bool | typeExists (H5I_type_t type)

## Protected Member Functions
| IdComponent ()
H5std_string | p_get_file_name () const
virtual void | p_setId (const hid_t new_id)=0

## Static Protected Member Functions
static bool | p_valid_id (const hid_t obj_id)

## Static Protected Attributes
static bool | H5dontAtexit_called

## Constructor & Destructor Documentation

## ◆ ~IdComponent()

virtual ~IdComponent | ( |  | ) |
| virtual default

## ◆ IdComponent()

IdComponent | ( |  | ) |
| protected

## Member Function Documentation

## ◆ close()

virtual void close | ( |  | ) |
| pure virtual

Implemented in Attribute, DataSet, DataSpace, DataType, Group, H5File, and PropList.

## ◆ decRefCount() [1/2]

void decRefCount | ( |  | ) | const

## ◆ decRefCount() [2/2]

void decRefCount | ( | const hid_t | obj_id | ) | const

## ◆ fromClass()

virtual H5std_string fromClass | ( |  | ) | const
| virtual

Returns this class name.

Reimplemented in ArrayType, AtomType, Attribute, CompType, DataSet, DataSpace, DataType, DSetAccPropList, DSetCreatPropList, DSetMemXferPropList, EnumType, FileAccPropList, FileCreatPropList, FloatType, Group, H5File, IntType, LinkAccPropList, LinkCreatPropList, ObjCreatPropList, PredType, PropList, StrType, and VarLenType.

## ◆ getCounter() [1/2]

int getCounter | ( |  | ) | const

## ◆ getCounter() [2/2]

int getCounter | ( | const hid_t | obj_id | ) | const

## ◆ getHDFObjType() [1/2]

H5I_type_t getHDFObjType | ( |  | ) | const

## ◆ getHDFObjType() [2/2]

static H5I_type_t getHDFObjType | ( | const hid_t | obj_id | ) |
| static

## ◆ getId()

virtual hid_t getId | ( |  | ) | const
| pure virtual

Implemented in Attribute, DataSet, DataSpace, DataType, Group, H5File, H5Object, and PropList.

## ◆ getNumMembers()

static hsize_t getNumMembers | ( | H5I_type_t | type | ) |
| static

## ◆ incRefCount() [1/2]

void incRefCount | ( |  | ) | const

## ◆ incRefCount() [2/2]

void incRefCount | ( | const hid_t | obj_id | ) | const

## ◆ inMemFunc()

H5std_string inMemFunc | ( | const char * | func_name | ) | const

## ◆ isValid()

static bool isValid | ( | hid_t | an_id | ) |
| static

## ◆ operator=()

IdComponent & operator= | ( | const IdComponent & | rhs | ) |

## ◆ p_get_file_name()

H5std_string p_get_file_name | ( |  | ) | const
| protected

## ◆ p_setId()

virtual void p_setId | ( | const hid_t | new_id | ) |
| protected pure virtual

Implemented in Attribute, DataSet, DataSpace, DataType, Group, H5File, H5Object, and PropList.

## ◆ p_valid_id()

static bool p_valid_id | ( | const hid_t | obj_id | ) |
| static protected

## ◆ setId()

void setId | ( | const hid_t | new_id | ) |

## ◆ typeExists()

static bool typeExists | ( | H5I_type_t | type | ) |
| static

## Field Documentation

## ◆ H5dontAtexit_called

bool H5dontAtexit_called
| static protected

The documentation for this class was generated from the following file:

- c++/src/H5IdComponent.h